=== debian/control ===
Source: ros-kinetic-cob-generic-can
Section: misc
Priority: optional
Maintainer: Matthias Gruhler <mig@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cob-utilities, ros-kinetic-libntcan, ros-kinetic-libpcan, ros-kinetic-socketcan-interface
Homepage: http://ros.org/wiki/cob_generic_can
Standards-Version: 3.9.2

Package: ros-kinetic-cob-generic-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-utilities, ros-kinetic-libntcan, ros-kinetic-libpcan, ros-kinetic-socketcan-interface
Description: The package cob_generic_can provides an interface for nodes on a can-bus and examplary wrappers for two PeakSys-can-libs.
 When a can-bus-device is generated (for an example see base_dirve_chain) you can use generic_can to create as many itfs as there will be components communicating via this can-bus. Assign type of the can communication device (e.g. usb-to-can or can-card of a specific vendor) and can-address of the target device. This package comes with wrappers for PeakSys and PeakSysUSB adapters.
